Get Lab
const url = 'https://api.exolink.cloud/tenant/example/lab/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/lab/1 \ --header 'Authorization: Bearer <token>'Get details of a specific lab
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Responses
Section titled “Responses”Lab details
Lab environment for testing and development
object
Lab ID
Tenant ID
Lab display name
Set when this lab is a hardcoded app rather than a designer-built flow (see GET /tenant/{tenantId}/app). Null for a classic lab.
Lab software version
Associated subscription ID
CPU units of the lab
Memory of the lab in MiB
Lab health status
Lab status, such as PENDING, RUNNING, STOPPED, PAUSED or DELETED
Why the lab is not healthy, if it is not
Set while the lab is paused
Lab access URL
Example
{ "health": "healthy", "status": "RUNNING", "reason": "Lab is starting up"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}